After upgrading to 9.4, GNOME is not functioning properly

My Rocky Linux is installed in VMware Workstation 17.5.1 Pro, and the OS is Windows 11 with an NVIDIA graphics card.
The GNOME is not functioning properly after upgrading from 9.3 to 9.4, with a black screen upon booting and all functions inaccessible. After uninstalling GNOME and attempting to reinstall it, the following error is encountered:
Error: Problem 1: conflicting requests - nothing provides libcpupower.so.0()(64bit) needed by gnome-applets-3.40.0-1.el9.x86_64 from epel
Problem 2: package gnome-flashback-3.40.0-2.el9.x86_64 from epel requires gnome-applets(x86-64), but none of the providers can be installed - conflicting requests - nothing provides libcpupower.so.0()(64bit) needed by gnome-applets-3.40.0-1.el9.x86_64 from epel
(try to add ‘–skip-broken’ to skip uninstallable packages or ‘–nobest’ to use not only best candidate packages)

Hello. Welcome to the forums.

It appears gnome-applets (from EPEL) needs to be rebuilt against the 9.4 kernel. Unfortunately, without the rebuild, you won’t be able to install that particular package.

Unfortunately, I do not see any bug reports on https://bugzilla.redhat.com. I know mate-applets had to be rebuilt and the maintainer pushed a build. But it appears that gnome-applets needs the same treatment. If you don’t need those two packages, it should be OK to exclude them with --exclude.

I don’t know why, but everything returned to normal after I disabled 3D graphics acceleration in the VMware display settings. However, this issue didn’t occur when it was enabled before.

Yes, it is something really broken in Rocky 9.4 , it updated automatically yesterday and after reboot I have got first information that nivida drivers are missing ( but I just instantiated them successfully) and then just a black screen with blinking dot, which does not moving from this point. Alas, I am not so professional in linux development, I am just doing animation and I need my nivida drivers.



I want to add, that I love Rocky and just want to help and get some advice. What I should do now? Download Rocky 9.4 ( because the first time it went automatically and probably something was missing and then I wan to get instruction about my nivida drivers. What can I do in order to safe it and dot spending again hours to find solution in internet. I am an artist , a painter, who is quite experienced with software, but I am not linux developer and that is why I can not solve this problem by myself. Please, help me with an accurate instruction.

I downloaded Rocky-9.4-x86_64.iso and Rocky-9.3-x86_64.iso from the official website and tested them separately in VMware Workstation, with 3D graphics acceleration enabled. While Rocky-9.3 installed smoothly, Rocky-9.4 resulted in a black screen upon entering the installation interface, with no display. I then conducted the same tests with AlmaLinux, and the results were identical to RockyLinux: version 9.4 does not support 3D graphics acceleration in VMware Workstation.

1 Like

Fortunately I could login to the previous 9.3 Rocky, but something happened, even there and my Maya do not work as smoothly as before. I even think to reinstall everything because something happen and Maya is shutting down all the time.

I reinstalled everything, now 9.4 working.

This might be the real root cause of the issue.

Snipaste_2024-05-15_20-33-09